# Vidzone HTML5 SDK

## Initialization

1. Install library

```HTML
npm install vidzone-sdk
```

2. Create and init instance of VidzoneSDK:

```js
import VidzoneSDK from 'vidzone-sdk';

const vidzoneSDK = new VidzoneSDK()

vidzoneSDK.init().then(function () {
    //now we are ready to generate nonce 
})
```

3. After init has been done and before start loading stream URL - request for nonce:

```js
vidzoneSDK.generateNonce({
    adWillAutoPlay: true,
    adWillPlayMuted: false,
    playerType: "player name",
    playerVersion: "version",
    ppid: "your platform name",
    sessionId: "some UUID",
    url: "https://some.com/some/page",
    videoHeight: 1080,
    videoWidth: 1920,
}).then(function (manager) {
    //start playback and pass nonce
    console.log("nonce generated: ", manager.getNonce())
    startPlayback(manager)
}).catch(function (err) {
    //log error and try to fix
})
```




